# $Revision: 1.26 $, $Date: 2007-12-27 00:26:33 $
Summary:	A handy syslog file(s) manipulation/monitoring/parsing tool
Summary(pl.UTF-8):	Poręczne narzędzie do manipulowania/monitorowania/parsowania plików sysloga
Name:		logtool
Version:	1.3.1
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://www.xjack.org/logtool/logtool/%{name}-%{version}.tar.gz
# Source0-md5:	7da0564dc0fea4f0470d61168871f9c2
URL:		http://www.xjack.org/logtool/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/logtool

%description
Logtool is a handy little tool for manipulation/monitoring/parsing of
syslog (and syslog-like) files. It produces output in ANSI, ASCII,
CSV, HTML format, and is easily configured to your needs via the
/etc/logtool/* files. It is suitable for use in generating easy to
read logfile reports, webpages, and online monitoring of logfiles.

%description -l pl.UTF-8
Logtool jest poręcznym narzędziem do obrabiania/monitorowania/
parsowania plików sysloga i podobnych. Może produkować wyniki w
postaci ANSI, ASCII, CSV, HTML; jest łatwo konfigurowalny do potrzeb
poprzez pliki /etc/logtool/*. Nadaje się do generowania łatwych do
czytania raportów, stron WWW oraz monitorowania logów on-line.

%prep
%setup -q
sed -i 's/-o root //'  src/Makefile.in

%build
#rm -f missing
#%{__aclocal}
%{__autoconf}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING TODO INSTALL CHANGES USAGE CREDITS doc/* scripts/*
%attr(750,root,root) %dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: logtool.spec,v $
Revision 1.26  2007-12-27 00:26:33  zbyniu
- up to 1.3.1

Revision 1.25  2007-06-03 17:57:08  areq
- 1.2.8

Revision 1.24  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.22  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.21  2004/04/26 16:58:27  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.20  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.19  2003/06/12 18:10:02  areq
- update Source0-md5

Revision 1.18  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:50:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/05 13:30:11  areq
- remove %{__automake}

Revision 1.15  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/05/21 23:14:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.10  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/06 09:38:43  kloczek
- added ac_fixes patch and added regenerate ac files (now using %%configure
  is possible),
- updated Source url and added URL.

Revision 1.8  2001/12/06 08:32:36  qboosh
- pl description, cosmetics; release 3

Revision 1.7  2001/09/29 00:55:41  blues
- release 2
- configure2_13 used

Revision 1.6  2001/06/04 15:19:59  kloczek
- cosmetics.

Revision 1.5  2001/06/04 14:46:17  baggins
- really use rpmcflags

Revision 1.4  2001/03/29 09:34:58  mis
- autoupdated to 1.1.0

Revision 1.3  2001/02/07 11:30:01  wiget
small cleanup

Revision 1.2  2001/02/02 22:38:44  waszi
- partially rewrited

BAsed on spec by A.L.Lambert <al at 9b.com>
